Bug 837540 - Docs: EAP 5.1.2 - Security guide - wrong link in the "17. Encrypting database" chapter
Docs: EAP 5.1.2 - Security guide - wrong link in the "17. Encrypting database...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-JBoss_Security_Guide (Show other bugs)
5.1.2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Russell Dickenson
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 04:01 EDT by Marc Zottner
Modified: 2014-05-15 00:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-15 00:41:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Zottner 2012-07-04 04:01:45 EDT
Description of problem:

In ... http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Security_Guide/index.html#Encrypting_Data_Source_Passwords

... we can read ...

{{{
Secured Identity using the module SecureIdentityLoginModule is described in Section 17.1, “Secured Identity”.
Configured Identity with Password Based Encryption using the module JaasSecurityDomainIdentityLoginModule is described in Section 17.1, “Secured Identity”. 
}}}

... instead of  ...

{{{
Secured Identity using the module SecureIdentityLoginModule is described in Section 17.1, “Secured Identity”.
Configured Identity with Password Based Encryption using the module JaasSecurityDomainIdentityLoginModule is described in Section 17.2. "Configured Identity with Password Based Encryption (PBE)"
}}}


The link for the second described option is false.

Version-Release number of selected component (if applicable):

EAP security guide 5.1.2


How reproducible:

Go on http://docs.redhat.com/docs/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Security_Guide/index.html#Encrypting_Data_Source_Passwords
Comment 1 Petr Penicka 2012-07-09 08:09:00 EDT
Changed the second link to be pointing to section 17.2.

Note You need to log in before you can comment on or make changes to this bug.